| Home | Libraries | People | FAQ | More

## Function template copy_async

boost::compute::copy_async

## Synopsis

    // In header: <boost/compute/algorithm/copy.hpp>

    template<typename InputIterator, typename OutputIterator>
      future< OutputIterator >
      copy_async(InputIterator first, InputIterator last, OutputIterator result,
                 command_queue & queue = system::default_queue());

## Description

Copies the values in the range [`first`, `last`) to the range beginning at `result`. The copy is performed asynchronously.

See Also:

copy()